# Erstellen von Nutzern
Um beim ersten Start des Servers Nutzer in die interne Datenbank einzuspeisen, wird eine user.toml Datei verwendet.

**Achtung:** Beim Einladen der user.toml werden die Nutzer aus der Datei neu angelegt und die Passwörter zurück gesetzt.

```
[Admin1]
roles = ["Admin"]
passwd = "secret"
noot = "noot!"
```

Für den Anfang kann ein Admin Nutzer angelget werden. Der sollte die Rolle eines Admins zu gewiesen werden, die in der `bffh.dhall` definiert wird.

Das Passwort kann über den Client geändert werden. Auch sollte der Rolle die Berechtigung zum Anlegen von Nutzern zugewiesen bekommen.
Information darüber findet ihr hier.

Für das Einladen von Nutzer muss beim Start von BFFH der Paramter
``--load user.toml`
hinzugefügt werden. Der Server wird darauf hin die Nutzer einladen und sich beendend.
Danach kann der Server ohne den Parameter gestartet werden.

# Exportieren von Nutzern
Um ein BackUp der Nutzerdaten zu bekommen, sollte einerseits die interen Datenbank gesichert werden.
Es kann auch ein export der Nutzer erfolgen. Die Passwörter der Nutzer werden nach dem Einladen mit `Argon2` gehashed und werden auch als solcher exportiert.

Für das Exportieren von Nutzer muss beim Start von BFFH der Paramter
``--dumpuser user.toml`
hinzugefügt werden. Der Server wird darauf hin die Nutzer exportieren und sich beendend.
