# Shelly Modul
Mit dem Shelly Module können Shelly-Geräte der Gen 1 über MQTT angesteuert werden.

Mit Shellies lässt sich eine stabile und kostengünstige Ein- und Abschaltung von Maschinen realisieren.

Für den Anfang empfehlen wir die Shelly Plug S, durch die Zwischensteckerbauform könnne alle Maschinen mit einem Schutzkontakstecker angesteuert werden und es sind bis zu 10A Dauerstrom möglich.

Sollte eine Maschine mehr als 10A benötigen gibt es den etwas teureren Shelly Plug, dieser kann dann auch bis zu 16A schalten.

Die Shellys müssen für eine Anbindung an den Server mit dem MQTT-Server verbunden werden.
Da Shellies in der Gen 1 leider kein MQTT über TLS können empfehlen wir diese in einem seperaten Netz abzukapseln und das Netz direkt an dem MQTT Server anzubinden.

Um auch die Maschinen bei einem Ausfall von FabAccess verwenden zu können, empfehlen wir den Knopf nicht abzuschalten.
Jedoch sollte dann der Shelly schwerer zu erreichen sein. Da wir mit FabAccess keine Lösung entwickeln, die absoulute Sicherheit zum Ziel hat, empfehlen wir die Shellies auch nicht einzukleben.
Wenn ein Nutzer den Shelly aussteckt oder ein anderes Kabel in das Gerät steckt, dann sollte das durch eine Kontrolle des Betreibers auffallen.

## Konfiguration
```
actors = 
{
    Shelly_123 = 
    { 
        module = "Shelly", 
        params = 
        {
            topic = "shellyplug-s-123456"
        }
    }
}
```

Die ID des Aktors wäre hierbei `Shelly_123`.
Das Topic, auf das der Shelly hört wäre `shellyplug-s-123456`.

### Shelly Topics
Shelly 1: `shelly1-1234567890AB`
Shelly Plug S: `shellyplug-s-123ABC`
Shelly Plug: `shellyplug-123ABC`